//@author: antokhio
//@help: template for standard shaders
//@tags: template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;

Texture2D texMin;
Texture2D texMax;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_POINT;AddressU=CLAMP;AddressV=CLAMP;};

RWStructuredBuffer<float2> Output : BACKBUFFER;


[numthreads(1, 1, 1)]
void CS_GetLum( uint3 id : SV_DispatchThreadID )
{
	float minimum = texMin.Load(int3 (0,0,0)).r;
	float maximum = texMax.Load(int3 (0,0,0)).r;
	Output[id.x] = float2 (minimum, maximum);
}


technique11 Test
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS_GetLum() ) );
	}
}

